# Create a loan sale

**POST** `/loans/{loan_id}/sales`

Creates a loan sale for a specific loan.

### Path Parameters

- `loan_id` `string` _(required)_ — Unique identifier for the loan.

### Body Parameters

- `amount` `integer` — Amount in cents that will be purchased. This amount cannot exceed the current sale price of the loan. Either `amount` or `percentage` must be specified, but not both.
- `currency_code` `string` _(required)_ — ISO 4217 currency code. It must be the same as the currency code on the loan.
- `description` `string` — The description of the loan sale. Maximum: `255` characters.
- `percentage` `string` — Percentage of the current sale price of the loan to purchase (e.g., `"0.80"` for 80%). Maximum value: `"1.00"`. Either `amount` or `percentage` must be specified, but not both.
- `purchase_funding_account_number_id` `string` — ID of the account number in your platform to fund this purchase. If this field is not set, the default purchase funding account number for the loan program of this loan will be used.

**Request**

```shell
curl 'https://api.column.com/loans/<loan_id>/sales' \
  -XPOST \
  -u :<YOUR API KEY> \
  -H "Idempotency-Key: 2zEjn6sLwRT8ao6DcNiUr9I1X1N" \
  -d amount="100900" \
  -d currency_code="USD" \
  -d description="Purchase of loan principal and interest receivables" \
  -d purchase_funding_account_number_id="<purchase_funding_account_number_id>"
```

**Response 200**

```json
{
  "id": "lsal_2zEjnD6zlXgnc7t8NGQvn66Y1wA",
  "created_at": "2025-06-30T17:08:11Z",
  "updated_at": "2025-06-30T17:08:11Z",
  "idempotency_key": "2zEjn6sLwRT8ao6DcNiUr9I1X1N",
  "loan_id": "loan_xxx",
  "sold_at": "2025-06-30T17:08:11Z",
  "amount": 100900,
  "currency_code": "USD",
  "sold_principal_receivable": "100000",
  "sold_interest_receivable": "1000",
  "paid_servicing_fee": "100",
  "purchase_funding_account_number_id": "acno_2zEjnBXUJwCHBXFLNMIK4wGVaia",
  "description": "Purchase of loan principal and interest receivables"
}
```
